/**
 * Created on Jul 16, 2005
 * $id:  $
 */
package org.jvnet.lookout.google.desktop.adapter;


public class DesktopSearchResultBean {
    //Desktop types
    public static final String EMAIL = "email"; 
    public static final String WEB = "web"; 
    public static final String FILE = "file"; 
    public static final String CHAT = "chat"; 

    private String category;
    private String url;
    private String cachedUrl;
    private String title;
    private String snippet;
    
    public String getCachedUrl() {
        return this.cachedUrl;
    }
    public void setCachedUrl(String cachedUrl) {
        this.cachedUrl = cachedUrl;
    }
    public String getCategory() {
        return this.category;
    }
    public void setCategory(String category) {
        this.category = category;
    }
    public String getSnippet() {
        return this.snippet;
    }
    public void setSnippet(String snippet) {
        this.snippet = snippet;
    }
    public String getTitle() {
        return this.title;
    }
    public void setTitle(String title) {
        this.title = title;
    }
    public String getUrl() {
        return this.url;
    }
    public void setUrl(String url) {
        this.url = url;
    }
    
}
